Subject: Re: bug#44639: [PATCH 2/2] autorevert: map each watch descriptor to a single buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Jan 2021 04:29:16 +0100

Spencer Baugh <[email-masked]> writes:

>>> Just for the records, when I apply both patches 1/2 and 2/2,
>>> autorevert-tests fails. So it cannot be applied as such.
>>
>> Spencer, did you do any further work on this patch?
>
> Not this patch, no.  Locally I have applied patch 1/2 and not patch
> 2/2. Patch 2/2 just removes dead code after patch 1/2 removes the
> functionality, and I must have gotten it wrong.
>
> But I can report that performance has been fine with patch 1/2 - I
> haven't seen the pathological case I was seeing before, and I haven't
> seen any new pathological cases to replace it.

Patch 1/2 was applied to Emacs 28 some time ago (and works fine), so
this was just a followup on 2/2 -- whether this clean-up patch (which
apparently doesn't work correctly, according to Michael) is going to get
any further work done, or whether this issue should just be closed...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no